Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
PUTTicket OperationsSince 3.0.0SynchronousAuth Required

UpdateIAM2TicketFlowCollection

UpdateIAM2TicketFlowCollection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateiam2ticketflowcollectionObjectRequired

    updateiam2ticketflowcollection request body object.

    • flowsList

      Optional.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

    • isDefaultBoolean

      Optional.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryTicketFlowCollectionInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • isDefaultBooleanRequired

      是否默认。

    • flowsListRequired

      See flows.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • parentFlowUuidStringRequired

        No description provided.

      • flowContextStringRequired

        No description provided.

      • flowContextTypeStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The creation date.

      • collectionUuidStringRequired

        采集UUID。

Endpoint

PUT/zstack/v1/tickets/flow-collections/{uuid}/actions

/zstack/v1/tickets/flow-collections/{uuid}/actions

Operation ID

UpdateIAM2TicketFlowCollection

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/tickets/flow-collections/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2ticketflowcollection":{"flows":["<flows>"],"name":"<name>","description":"<description>","isDefault":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "7db7660049ba42fc95de91ac238145a5", "name": "collection name", "state": "Enabled", "status": "Valid", "isDefault": false, "flows": [] } }

Change History

This API has no change history records yet.

View all change history